<?php
include '../../control.php';
class myBlock extends block 
{
    /**
     * Block Index Page.
     *
     * @access public
     * @return void
     */
    public function index()
    {
        parent::index();
    }

    /**
     * Print invest, loan, receivable and payable block.
     *
     * @access public
     * @return void
     */
    public function printFundsBlock()
    {
        $this->app->loadLang('trade', 'cash');
        $this->app->loadLang('receivable', 'cash');
        $this->app->loadLang('payable', 'cash');
        $this->processParams();

        $trades = $this->dao->select('*')->from(TABLE_TRADE)
            ->where('parent')->eq('0')
            ->andWhere('type', true)->eq('invest')
			->orWhere('type')->eq('loan')
			->orWhere('type')->eq('redeem')
			->orWhere('type')->eq('repay')
			->markRight(1)
            ->fetchAll('id');

        $receivable = $this->loadModel('receivable')->getTotalMoney('receivable');
        $payable    = $this->receivable->getTotalMoney('payable');

        $totalMoney = array();
        $totalMoney['invest'] = 0;
        $totalMoney['redeem'] = 0;
        $totalMoney['loan']   = 0;
        $totalMoney['repay']  = 0;

        foreach($trades as $trade) $totalMoney[$trade->type] += $trade->money * $trade->exchangeRate;

        if($totalMoney['redeem'] > $totalMoney['invest']) $totalMoney['redeem'] = $totalMoney['invest'];
        if($totalMoney['repay']  > $totalMoney['loan'])   $totalMoney['repay']  = $totalMoney['loan'];
        $totalMoney['unredeem']         = $totalMoney['invest'] - $totalMoney['redeem'];
        $totalMoney['unrepay']          = $totalMoney['loan'] - $totalMoney['repay'];
        $totalMoney['investprogress']   = $totalMoney['invest'] ? round($totalMoney['redeem'] / $totalMoney['invest'] * 100, 2) . '%' : '0%';
        $totalMoney['loanprogress']     = $totalMoney['loan'] ? round($totalMoney['repay'] / $totalMoney['loan'] * 100, 2) . '%' : '0%';
        $totalMoney['receivable']       = empty($receivable->deserved) ? 0 : $receivable->deserved;
        $totalMoney['unreceived']       = empty($receivable->balance) ? 0 : $receivable->balance;
        $totalMoney['receivedprogress'] = empty($receivable->deserved) || empty($receivable->actual) ? '0%' : round($receivable->actual / $totalMoney['receivable'] * 100, 2) . '%';
        $totalMoney['payable']          = empty($payable->deserved) ? 0 : $payable->deserved;
        $totalMoney['unpaid']           = empty($payable->balance) ? 0 : $payable->balance;
        $totalMoney['paidprogress']     = empty($payable->deserved) || empty($payable->actual) ? '0%' : round($payable->actual / $totalMoney['payable'] * 100, 2) . '%';

        $this->view->data = $totalMoney;

        $this->display('block', 'fundsblock');
    }
}
?>
